Package com.sas.metadata.remote

# Interface AnalyticTable

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `Remote`, `Root`, `SecondaryType`

public interface AnalyticTable extends SecondaryType
Contains analytic attributes to apply to a table. These attributes include information such as the sampling rate and a description of the group of observations in this table. Used by SAS Enterprise Miner.

Attributes of AnalyticTable are:

- `UseExternalData`
- `SamplingRate`
- `Segment`
- `AnalyticTableRole`
- `AnalyticTableType`

Associations of AnalyticTable are:

- `AnalyticTrainingTable`

## Usage

To create an instance of this AnalyticTable, use the `factory` create methods.
Example: create a AnalyticTable with name "AnalyticTable_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     AnalyticTable myObject = (AnalyticTable) factory.createComplexMetadataObject(objectStore, "AnalyticTable_Object", MetadataObjects.ANALYTICTABLE, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_ANALYTICTRAININGTABLE_NAME`
  Constant used for the name of the AnalyticTrainingTable association.
  `static final String`
  `ATTRIBUTE_ANALYTICTABLEROLE_NAME`
  Constant used for the name of the AnalyticTableRole attribute.
  `static final String`
  `ATTRIBUTE_ANALYTICTABLETYPE_NAME`
  Constant used for the name of the AnalyticTableType attribute.
  `static final String`
  `ATTRIBUTE_SAMPLINGRATE_NAME`
  Constant used for the name of the SamplingRate attribute.
  `static final String`
  `ATTRIBUTE_SEGMENT_NAME`
  Constant used for the name of the Segment attribute.
  `static final String`
  `ATTRIBUTE_USEEXTERNALDATA_NAME`
  Constant used for the name of the UseExternalData attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAnalyticTableRole()`
  Gets the `String` value of `AnalyticTableRole`
  `int`
  `getAnalyticTableRoleMaxLength()`
  Gets the maximum length of `AnalyticTableRole`
  `int`
  `getAnalyticTableRoleState()`
  Gets the Metadata State of `AnalyticTableRole`
  `String`
  `getAnalyticTableType()`
  Gets the `String` value of `AnalyticTableType`
  `int`
  `getAnalyticTableTypeMaxLength()`
  Gets the maximum length of `AnalyticTableType`
  `int`
  `getAnalyticTableTypeState()`
  Gets the Metadata State of `AnalyticTableType`
  `RelationalTable`
  `getAnalyticTrainingTable()`
  Gets the `RelationalTable` for `AnalyticTrainingTable`
  `AssociationList`
  `getAnalyticTrainingTables()`
  Gets the AssociationList of `AnalyticTrainingTables`
  `AssociationList`
  `getAnalyticTrainingTables(boolean fGoToServer)`
  Gets the Associationlist of `AnalyticTrainingTables`
  `double`
  `getSamplingRate()`
  Gets the `double` value of `SamplingRate`
  `int`
  `getSamplingRateState()`
  Gets the Metadata State of `SamplingRate`
  `String`
  `getSegment()`
  Gets the `String` value of `Segment`
  `int`
  `getSegmentMaxLength()`
  Gets the maximum length of `Segment`
  `int`
  `getSegmentState()`
  Gets the Metadata State of `Segment`
  `int`
  `getUseExternalData()`
  Gets the `int` value of `UseExternalData`
  `int`
  `getUseExternalDataState()`
  Gets the Metadata State of `UseExternalData`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `AnalyticTrainingTable`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setAnalyticTableRole(String inAnalyticTableRole)`
  Sets the `AnalyticTableRole` value and sets the state to MetadataState.LOCAL.
  `void`
  `setAnalyticTableRole(String inAnalyticTableRole, int state)`
  Sets the `AnalyticTableRole` Metadata State.
  `void`
  `setAnalyticTableRoleState(int state)`
  Sets the Metadata State of `AnalyticTableRole`.
  `void`
  `setAnalyticTableType(String inAnalyticTableType)`
  Sets the `AnalyticTableType` value and sets the state to MetadataState.LOCAL.
  `void`
  `setAnalyticTableType(String inAnalyticTableType, int state)`
  Sets the `AnalyticTableType` Metadata State.
  `void`
  `setAnalyticTableTypeState(int state)`
  Sets the Metadata State of `AnalyticTableType`.
  `void`
  `setAnalyticTrainingTable(RelationalTable inObject)`
  Sets the `AnalyticTrainingTables` list 0th element to be `inObject`.
  `void`
  `setAnalyticTrainingTables(AssociationList list)`
  Sets the `AnalyticTrainingTables` list to be `list`.
  `void`
  `setAnalyticTrainingTables(AssociationList list, int state)`
  Sets the `AnalyticTrainingTables` list to be `list`.
  `void`
  `setSamplingRate(double inSamplingRate)`
  Sets the `SamplingRate` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSamplingRate(double inSamplingRate, int state)`
  Sets the `SamplingRate` Metadata State.
  `void`
  `setSamplingRate(String inSamplingRate)`
  Sets the `SamplingRate` value and sets the state to MetadataState.LOCAL
  `void`
  `setSamplingRate(String inSamplingRate, int state)`
  Sets the `SamplingRate` value and Metadata State.
  `void`
  `setSamplingRateState(int state)`
  Sets the Metadata State of `SamplingRate`.
  `void`
  `setSegment(String inSegment)`
  Sets the `Segment` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSegment(String inSegment, int state)`
  Sets the `Segment` Metadata State.
  `void`
  `setSegmentState(int state)`
  Sets the Metadata State of `Segment`.
  `void`
  `setUseExternalData(int inUseExternalData)`
  Sets the `UseExternalData` value and sets the state to MetadataState.LOCAL.
  `void`
  `setUseExternalData(int inUseExternalData, int state)`
  Sets the `UseExternalData` Metadata State.
  `void`
  `setUseExternalData(String inUseExternalData)`
  Sets the `UseExternalData` value and sets the state to MetadataState.LOCAL.
  `void`
  `setUseExternalData(String inUseExternalData, int state)`
  Sets the `UseExternalData` value and Metadata State.
  `void`
  `setUseExternalDataState(int state)`
  Sets the Metadata State of `UseExternalData`.

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_USEEXTERNALDATA_NAME

    static final String ATTRIBUTE_USEEXTERNALDATA_NAME
    Constant used for the name of the UseExternalData attribute.

    UseExternalData: User data from external source. such as Purchased demographic information.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SAMPLINGRATE_NAME

    static final String ATTRIBUTE_SAMPLINGRATE_NAME
    Constant used for the name of the SamplingRate attribute.

    SamplingRate: Percent of the set of all possible values. Usually between 0 and 1.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SEGMENT_NAME

    static final String ATTRIBUTE_SEGMENT_NAME
    Constant used for the name of the Segment attribute.

    Segment: Description of the group of user defined observations that form this table.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ANALYTICTABLEROLE_NAME

    static final String ATTRIBUTE_ANALYTICTABLEROLE_NAME
    Constant used for the name of the AnalyticTableRole attribute.

    AnalyticTableRole: Train, Validate

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ANALYTICTABLETYPE_NAME

    static final String ATTRIBUTE_ANALYTICTABLETYPE_NAME
    Constant used for the name of the AnalyticTableType attribute.

    AnalyticTableType: transaction, coordinate

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ANALYTICTRAININGTABLE_NAME

    static final String ASSOCIATION_ANALYTICTRAININGTABLE_NAME
    Constant used for the name of the AnalyticTrainingTable association.

    AnalyticTrainingTable: The table associated with these analytic attributes.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Specified by:
      `initializeRequiredObjects` in interface `SecondaryType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `AnalyticTrainingTable`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `Root`
    Specified by:
      `initializePredObjects` in interface `SecondaryType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getUseExternalData

    int getUseExternalData() throws RemoteException
    Gets the `int` value of `UseExternalData`
    Returns:
      The `UseExternalData`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getUseExternalDataState

    int getUseExternalDataState() throws RemoteException
    Gets the Metadata State of `UseExternalData`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSamplingRate

    double getSamplingRate() throws RemoteException
    Gets the `double` value of `SamplingRate`
    Returns:
      The `SamplingRate`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSamplingRateState

    int getSamplingRateState() throws RemoteException
    Gets the Metadata State of `SamplingRate`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSegment

    String getSegment() throws RemoteException
    Gets the `String` value of `Segment`
    Returns:
      The `Segment`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSegmentState

    int getSegmentState() throws RemoteException
    Gets the Metadata State of `Segment`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSegmentMaxLength

    int getSegmentMaxLength() throws RemoteException
    Gets the maximum length of `Segment`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAnalyticTableRole

    String getAnalyticTableRole() throws RemoteException
    Gets the `String` value of `AnalyticTableRole`
    Returns:
      The `AnalyticTableRole`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAnalyticTableRoleState

    int getAnalyticTableRoleState() throws RemoteException
    Gets the Metadata State of `AnalyticTableRole`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAnalyticTableRoleMaxLength

    int getAnalyticTableRoleMaxLength() throws RemoteException
    Gets the maximum length of `AnalyticTableRole`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAnalyticTableType

    String getAnalyticTableType() throws RemoteException
    Gets the `String` value of `AnalyticTableType`
    Returns:
      The `AnalyticTableType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAnalyticTableTypeState

    int getAnalyticTableTypeState() throws RemoteException
    Gets the Metadata State of `AnalyticTableType`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAnalyticTableTypeMaxLength

    int getAnalyticTableTypeMaxLength() throws RemoteException
    Gets the maximum length of `AnalyticTableType`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAnalyticTrainingTables

    AssociationList getAnalyticTrainingTables() throws RemoteException, MdException
    Gets the AssociationList of `AnalyticTrainingTables`
    Returns:
      Returns the AssociationList of `AnalyticTrainingTables` which can be of type:
      RelationalTable
      PhysicalTable
      WorkTable
      SecuredTable
      QueryTable
      JoinTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getAnalyticTrainingTable

    RelationalTable getAnalyticTrainingTable() throws RemoteException, MdException
    Gets the `RelationalTable` for `AnalyticTrainingTable`
    Returns:
      The `RelationalTable` ( `null` if not set) of `AnalyticTrainingTable`which can be of type:
      RelationalTable
      PhysicalTable
      WorkTable
      SecuredTable
      QueryTable
      JoinTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAnalyticTrainingTables

    AssociationList getAnalyticTrainingTables(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AnalyticTrainingTables`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `AnalyticTrainingTables` which can be of type:
      RelationalTable
      PhysicalTable
      WorkTable
      SecuredTable
      QueryTable
      JoinTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setUseExternalData

    void setUseExternalData(int inUseExternalData) throws RemoteException
    Sets the `UseExternalData` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inUseExternalData` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUseExternalData

    void setUseExternalData(int inUseExternalData, int state) throws RemoteException
    Sets the `UseExternalData` Metadata State.
    Parameters:
      `inUseExternalData` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUseExternalData

    void setUseExternalData(String inUseExternalData) throws RemoteException
    Sets the `UseExternalData` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inUseExternalData` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUseExternalData

    void setUseExternalData(String inUseExternalData, int state) throws RemoteException
    Sets the `UseExternalData` value and Metadata State.
    Parameters:
      `inUseExternalData` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUseExternalDataState

    void setUseExternalDataState(int state) throws RemoteException
    Sets the Metadata State of `UseExternalData`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSamplingRate

    void setSamplingRate(double inSamplingRate) throws RemoteException
    Sets the `SamplingRate` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSamplingRate` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSamplingRate

    void setSamplingRate(double inSamplingRate, int state) throws RemoteException
    Sets the `SamplingRate` Metadata State.
    Parameters:
      `inSamplingRate` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSamplingRate

    void setSamplingRate(String inSamplingRate) throws RemoteException
    Sets the `SamplingRate` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inSamplingRate` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSamplingRate

    void setSamplingRate(String inSamplingRate, int state) throws RemoteException
    Sets the `SamplingRate` value and Metadata State.
    Parameters:
      `inSamplingRate` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSamplingRateState

    void setSamplingRateState(int state) throws RemoteException
    Sets the Metadata State of `SamplingRate`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSegment

    void setSegment(String inSegment) throws RemoteException
    Sets the `Segment` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSegment` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSegment

    void setSegment(String inSegment, int state) throws RemoteException
    Sets the `Segment` Metadata State.
    Parameters:
      `inSegment` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSegmentState

    void setSegmentState(int state) throws RemoteException
    Sets the Metadata State of `Segment`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticTableRole

    void setAnalyticTableRole(String inAnalyticTableRole) throws RemoteException
    Sets the `AnalyticTableRole` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inAnalyticTableRole` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticTableRole

    void setAnalyticTableRole(String inAnalyticTableRole, int state) throws RemoteException
    Sets the `AnalyticTableRole` Metadata State.
    Parameters:
      `inAnalyticTableRole` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticTableRoleState

    void setAnalyticTableRoleState(int state) throws RemoteException
    Sets the Metadata State of `AnalyticTableRole`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticTableType

    void setAnalyticTableType(String inAnalyticTableType) throws RemoteException
    Sets the `AnalyticTableType` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inAnalyticTableType` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticTableType

    void setAnalyticTableType(String inAnalyticTableType, int state) throws RemoteException
    Sets the `AnalyticTableType` Metadata State.
    Parameters:
      `inAnalyticTableType` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticTableTypeState

    void setAnalyticTableTypeState(int state) throws RemoteException
    Sets the Metadata State of `AnalyticTableType`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticTrainingTables

    void setAnalyticTrainingTables(AssociationList list) throws RemoteException
    Sets the `AnalyticTrainingTables` list to be `list`. Object of which can be of type:
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticTrainingTables

    void setAnalyticTrainingTables(AssociationList list, int state) throws RemoteException
    Sets the `AnalyticTrainingTables` list to be `list`. Object of which can be of type:
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticTrainingTable

    void setAnalyticTrainingTable(RelationalTable inObject) throws RemoteException
    Sets the `AnalyticTrainingTables` list 0th element to be `inObject`.
    Parameters:
      `inObject` - RelationalTable
    Throws:
      `RemoteException` - If error communicating with remote object.